Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class ICurveFieldGeo

    java.lang.Object
      igeo.IFieldGeo
          igeo.ICurveFieldGeo

All Implemented Interfaces:
  I3DFieldI, IFieldI

Direct Known Subclasses:
  ICurveAttractorField.ICurveAttractorFieldGeo, ICurveCurlField.ICurveCurlFieldGeo, ICurvePositionField.ICurvePositionFieldGeo, ICurveTangentField.ICurveTangentFieldGeo

    public class ICurveFieldGeo

extends IFieldGeo
implements I3DFieldI

3D vector filed defined by a NURBS curve.

Author:
  Satoru Sugihara

Nested Class Summary

Nested classes/interfaces inherited from class igeo.IFieldGeo
`IFieldGeo.Decay`

Field Summary
`ICurveI` | `curve`
`ICurveI` | `fieldCurve`

Fields inherited from class igeo.IFieldGeo
`constantIntensity, decay, intensity, threshold`

Constructor Summary
`ICurveFieldGeo(ICurveI crv, ICurveI fieldCrv)`

Method Summary
`ICurveFieldGeo` | `constantIntensity(boolean b)` if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used
`ICurveFieldGeo` | `gaussian(double threshold)` alias of gaussianDecay
`ICurveFieldGeo` | `gaussianDecay(double threshold)` set Gaussian decay; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
`IVecI` | `get(IVecI v)` get 3D vector field value
`IVecI` | `get(IVecI v, double u)` get original field value out of curve parameter u
`ICurveFieldGeo` | `intensity(double i)` set output intensity
`ICurveFieldGeo` | `linear(double threshold)` alias of linearDecay
`ICurveFieldGeo` | `linearDecay(double threshold)` set linear decay; When distance is equal to threshold, output is zero.
`ICurveFieldGeo` | `noDecay()` set no decay
`ICurveFieldGeo` | `threshold(double t)` set decay threshold

Methods inherited from class igeo.IFieldGeo
`decay, intensity, threshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IFieldI
`intensity, threshold`

Field Detail

### curve

    public ICurveI curve

### fieldCurve

    public ICurveI fieldCurve

Constructor Detail

### ICurveFieldGeo

    public ICurveFieldGeo(ICurveI crv,
                          ICurveI fieldCrv)

Method Detail

### get

    public IVecI get(IVecI v,
                     double u)

  get original field value out of curve parameter u

### get

    public IVecI get(IVecI v)

  get 3D vector field value

  Specified by:
    `get` in interface `I3DFieldI`
  Specified by:
    `get` in interface `IFieldI`

### constantIntensity

    public ICurveFieldGeo constantIntensity(boolean b)

  if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used

  Specified by:
    `constantIntensity` in interface `IFieldI`
  Overrides:
    `constantIntensity` in class `IFieldGeo`

### noDecay

    public ICurveFieldGeo noDecay()

  set no decay

  Specified by:
    `noDecay` in interface `IFieldI`
  Overrides:
    `noDecay` in class `IFieldGeo`

### linearDecay

    public ICurveFieldGeo linearDecay(double threshold)

  set linear decay; When distance is equal to threshold, output is zero.

  Specified by:
    `linearDecay` in interface `IFieldI`
  Overrides:
    `linearDecay` in class `IFieldGeo`

### linear

    public ICurveFieldGeo linear(double threshold)

  Description copied from class: `IFieldGeo`
  alias of linearDecay

  Specified by:
    `linear` in interface `IFieldI`
  Overrides:
    `linear` in class `IFieldGeo`

### gaussianDecay

    public ICurveFieldGeo gaussianDecay(double threshold)

  set Gaussian decay; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).

  Specified by:
    `gaussianDecay` in interface `IFieldI`
  Overrides:
    `gaussianDecay` in class `IFieldGeo`

### gaussian

    public ICurveFieldGeo gaussian(double threshold)

  Description copied from class: `IFieldGeo`
  alias of gaussianDecay

  Specified by:
    `gaussian` in interface `IFieldI`
  Overrides:
    `gaussian` in class `IFieldGeo`

### threshold

    public ICurveFieldGeo threshold(double t)

  Description copied from class: `IFieldGeo`
  set decay threshold

  Specified by:
    `threshold` in interface `IFieldI`
  Overrides:
    `threshold` in class `IFieldGeo`

### intensity

    public ICurveFieldGeo intensity(double i)

  Description copied from class: `IFieldGeo`
  set output intensity

  Specified by:
    `intensity` in interface `IFieldI`
  Overrides:
    `intensity` in class `IFieldGeo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD